> For the complete documentation index, see [llms.txt](https://docs.kbase.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kbase.us/troubleshooting/job-errors/modeling.md).

# Modeling App Errors

## **Types of Errors**

* **UE**=User fixable or possible user error
* **KE**=KBase error

{% hint style="info" %}
Use your Browser's search tool to paste in your error message to locate your error message, information about the error and next steps.&#x20;
{% endhint %}

You can always submit a ticket for help, questions, or followup to the [KBase Help Board](https://kbase-jira.atlassian.net/jira/your-work).&#x20;

## [**Bulk Download Modeling Objects**](https://narrative.kbase.us/#catalog/apps/fba_tools/bulk_download_modeling_objects/release)

#### `Must provide one and only one of workspace name`&#x20;

UE: No modeling objects were found the the user’s narrative.&#x20;

*Add some objects and try resubmitting the job.*

#### `GLPK does not support ID's longer than 256 characters`&#x20;

KE: This option fails when this condition exists and the app needs maintenance.

*Nothing can be done at this time. KBase is working on a solution to this problem.*&#x20;

## [**View Flux Network**](https://narrative.kbase.us/#catalog/apps/fba_tools/view_flux_network/)

#### `Can't use an undefined value as an ARRAY reference`&#x20;

KE: The app is failing and needs maintenance.&#x20;

*Nothing can be done at this time. KBase is working on a solution to this problem.*&#x20;

#### `Authentication required for AbstractHandle but no authentication header was passed`&#x20;

KE: The app is failing and needs maintenance.&#x20;

*Nothing can be done at this time. KBase is working on a solution to this problem.*&#x20;

## [**Compare Models**](https://narrative.kbase.us/#catalog/apps/fba_tools/compare_models/)

#### `Must select at least two models to compare`&#x20;

UE: The app requires two or more models for the comparison.&#x20;

*Add at least one more model and and try resubmitting the job.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kbase.us/troubleshooting/job-errors/modeling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
